# $Revision: 1.28 $, $Date: 2009/10/15 18:30:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sub
%define		pnam	Uplevel
Summary:	Sub::Uplevel - apparently run a function in a higher stack frame
Summary(pl.UTF-8):	Sub::Uplevel - pozorne uruchomienie funkcji w wyższej ramce stosu
Name:		perl-Sub-Uplevel
Version:	0.2002
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	509aedd3b680aea2c7a2fc67b9d5b007
URL:		http://search.cpan.org/dist/Sub-Uplevel/
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.47}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sub::Uplevel Perl module is for apparent running a function in a
higher stack frame.  Like Tcl's uplevel() function, but not quite so
dangerous.

%description -l pl.UTF-8
Moduł Perla Sub::Uplevel umożliwia pozorne uruchomienie funkcji w
wyższej ramce stosu. Działa podobnie do funkcji uplevel() Tcl-a, lecz
nie jest tak niebezpieczny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Sub/Uplevel.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sub-Uplevel.spec,v $
Revision 1.28  2009/10/15 18:30:45  amateja
- updated to 0.2002

Revision 1.27  2007/12/19 21:28:08  zbyniu
- up to 0.18

Revision 1.26  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.24  2006/12/22 09:24:10  qboosh
- updated to 0.14

Revision 1.23  2006/09/21 22:41:37  glen
- correct license, rel 2

Revision 1.22  2006/08/24 07:43:10  migo
- up to 0.13

Revision 1.21  2004/11/03 22:30:46  paladine
- formatting

Revision 1.20  2004/08/08 19:42:13  adamg
- updated to 0.09

Revision 1.19  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.18  2004/05/07 00:32:04  ankry
- rel. 2

Revision 1.17  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/02 22:25:48  ankry
- summary/desc

Revision 1.15  2004/05/01 00:35:18  ankry
- tests added, license fix

Revision 1.14  2004/02/18 16:27:02  qboosh
- s/no/nb/ in Summary langs

Revision 1.13  2003/11/30 20:11:40  adamg
- updated to 0.08

Revision 1.12  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:32  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:29  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/03 21:34:58  ankry
- cleaning

Revision 1.3  2002/08/01 20:30:12  qboosh
- pl description

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
